Loading...
Searching...
No Matches
node_instanceid.c File Reference

ietf-netconf-acm node-instance-identifier type plugin. More...

`#include "plugins_types.h"`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include "libyang.h"`
`#include "compat.h"`
`#include "ly_common.h"`
`#include "path.h"`
`#include "plugins_internal.h"`
`#include "xpath.h"`
Include dependency graph for node_instanceid.c:

Go to the source code of this file.

## Variables

const struct lyplg_type_record | plugins_node_instanceid []
| Plugin information for instance-identifier type implementation.

## Detailed Description

ietf-netconf-acm node-instance-identifier type plugin.

Author
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2019-2021 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file node_instanceid.c.

## Variable Documentation

## plugins_node_instanceid

const struct lyplg_type_record plugins_node_instanceid[]

Plugin information for instance-identifier type implementation.

Note that external plugins are supposed to use:

LYPLG_TYPES = {

Definition at line 335 of file node_instanceid.c.